From 7f4b3ca2f9b84fea9358b6187ae1dfe096a8b9f3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:18:17 +0000
Subject: [PATCH 804/2232] Write header can be infallible


Enabled by the target dir refactor.

---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 15a4348..22f53f6 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -103,7 +103,7 @@ fn build(rust_source_files: &mut dyn Iterator<Item = impl AsRef<Path>>) -> Resul
     let mut build = paths::cc_build(target_dir);
     build.cpp(true);
     build.cpp_link_stdlib(None); // linked via link-cplusplus crate
-    write_header(target_dir)?;
+    write_header(target_dir);
 
     for path in rust_source_files {
         generate_bridge(&mut build, path.as_ref(), target_dir)?;
@@ -112,10 +112,9 @@ fn build(rust_source_files: &mut dyn Iterator<Item = impl AsRef<Path>>) -> Resul
     Ok(build)
 }
 
-fn write_header(target_dir: &TargetDir) -> Result<()> {
+fn write_header(target_dir: &TargetDir) {
     let ref cxx_h = paths::include_dir(target_dir).join("rust").join("cxx.h");
     let _ = write(cxx_h, gen::include::HEADER.as_bytes());
-    Ok(())
 }
 
 fn generate_bridge(

